首页 > Ubuntu/Debian操作系统 > Ubuntu 出现apt-get: Package has no installation candidate问题

Ubuntu 出现apt-get: Package has no installation candidate问题

2015年9月19日

Ubuntu 出现apt-get: Package has no installation candidate问题
http://blog.csdn.net/liuyifeng_510/article/details/7081490
今天在安装软件的时候出现了Package has no installation candidate的问题,如:
# apt-get install <packagename>
Reading package lists… Done
Building dependency tree… Done
Package aptitude is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package <packagename> has no installation candidate

解决方法如下:
# apt-get update
# apt-get upgrade
# apt-get install <packagename>
这样就可以正常使用apt-get了~
添加第三方地址:
sudo add-apt-repository “deb http://archive.canonical.com/ lucid partner”
sudo apt-get update

本文的评论功能被关闭了.